@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
}

.wrapper-form {
  background-image: linear-gradient(120deg, #e0c3fc 0%, #8ec5fc 100%);
  background-size: cover;
  background-position: center;
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 25px;
  overflow: hidden;
  position: relative;
  filter: url(#gooey);
}
.wrapper-form span.circle {
  width: 20vmin;
  height: 20vmin;
  border-radius: 20vmin;
  backface-visibility: hidden;
  position: absolute;
  animation-name: move;
  animation-duration: 6s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
.wrapper-form span.circle:nth-child(1) {
  color: #FFACAC;
  top: 78%;
  left: 68%;
  animation-duration: 14.9s;
  animation-delay: -9.7s;
  transform-origin: -8vw 3vh;
  box-shadow: -40vmin 0 11.5598493778vmin currentColor;
}
.wrapper-form span.circle:nth-child(2) {
  color: #E45A84;
  top: 39%;
  left: 49%;
  animation-duration: 15.2s;
  animation-delay: -4.8s;
  transform-origin: -21vw 20vh;
  box-shadow: -40vmin 0 11.2336187773vmin currentColor;
}
.wrapper-form span.circle:nth-child(3) {
  color: #FFACAC;
  top: 65%;
  left: 100%;
  animation-duration: 14.1s;
  animation-delay: -14.8s;
  transform-origin: -4vw 15vh;
  box-shadow: 40vmin 0 13.1052821043vmin currentColor;
}
.wrapper-form span.circle:nth-child(4) {
  color: #E45A84;
  top: 69%;
  left: 39%;
  animation-duration: 14.2s;
  animation-delay: -6.7s;
  transform-origin: 14vw -20vh;
  box-shadow: 40vmin 0 6.3089656231vmin currentColor;
}
.wrapper-form span.circle:nth-child(5) {
  color: #FFACAC;
  top: 38%;
  left: 46%;
  animation-duration: 11.3s;
  animation-delay: -1.4s;
  transform-origin: -8vw -5vh;
  box-shadow: -40vmin 0 5.5401220747vmin currentColor;
}
.wrapper-form span.circle:nth-child(6) {
  color: #FFACAC;
  top: 87%;
  left: 72%;
  animation-duration: 10.4s;
  animation-delay: -12.3s;
  transform-origin: 11vw -7vh;
  box-shadow: 40vmin 0 13.8863635194vmin currentColor;
}
.wrapper-form span.circle:nth-child(7) {
  color: #FFACAC;
  top: 72%;
  left: 99%;
  animation-duration: 12.2s;
  animation-delay: -9s;
  transform-origin: -22vw 1vh;
  box-shadow: -40vmin 0 8.0235800328vmin currentColor;
}
.wrapper-form span.circle:nth-child(8) {
  color: #FFACAC;
  top: 55%;
  left: 30%;
  animation-duration: 12.5s;
  animation-delay: -0.3s;
  transform-origin: 25vw 6vh;
  box-shadow: -40vmin 0 8.3243861254vmin currentColor;
}
.wrapper-form span.circle:nth-child(9) {
  color: #E45A84;
  top: 41%;
  left: 31%;
  animation-duration: 13s;
  animation-delay: -15.2s;
  transform-origin: -5vw 10vh;
  box-shadow: 40vmin 0 10.321312382vmin currentColor;
}
.wrapper-form span.circle:nth-child(10) {
  color: #E45A84;
  top: 81%;
  left: 19%;
  animation-duration: 15.4s;
  animation-delay: -3.2s;
  transform-origin: -18vw 16vh;
  box-shadow: 40vmin 0 9.4095487883vmin currentColor;
}

.card-glass {
  position: relative;
  width: 944px;
  background: radial-gradient(100.21% 271.27% a t 2.81% 7.08%, rgba(255, 252, 252, 0.3) 0%, rgba(250, 250, 250, 0.07) 100%);
  border: 1px solid rgba(255, 255, 255, 0.2);
  box-sizing: border-box;
  box-shadow: 30px 20px 70px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(50px);
  /* Note: backdrop-filter has minimal browser support */
  border-radius: 30px;
  display: flex;
  justify-content: space-between;
  margin: 30px;
  align-items: center;
  flex-direction: column;
}
@media screen and (max-width: 678px) {
  .card-glass {
    margin: 20px;
    width: 100%;
  }
}

.card-glass-header {
  width: 100%;
  height: 70px;
  background: rgba(255, 255, 255, 0.5);
  border-radius: 30px 30px 0px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
}

.form-glass-group {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  padding: 0 35px;
}

.card-glass-footer {
  width: 100%;
  height: 70px;
  border-radius: 0px 0px 30px 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.glass-header-text {
  font-weight: 600;
  font-size: 2em;
  color: #6777EF;
}

.glass-footer-text {
  font-weight: 400;
  font-size: 1em;
  color: white;
}

svg.gooey {
  width: 0;
  height: 0;
}

input.form-glass-control {
  padding: 13px 16px;
  border: none;
  max-width: 100%;
  outline: none;
  font-size: 1.5em;
  color: white;
  background: rgba(255, 255, 255, 0.09);
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1), 0px -2px 5px rgba(255, 255, 255, 0.5);
  border-radius: 15px;
  margin: 15px auto;
}
input.form-glass-control::placeholder {
  font-size: 0.7em;
  color: white;
}

.show-hide-toggle {
  position: absolute;
  font-size: 0.8em;
  z-index: 2;
  right: 35%;
  background: rgba(255, 255, 255, 0.09);
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1), 0px -2px 5px rgba(255, 255, 255, 0.5);
  border-radius: 12px;
  color: #6777EF;
  font-weight: 600;
}
@media only screen and (max-width: 500px) {
  .show-hide-toggle {
    right: 6%;
  }
}

.glass-container {
  margin: 20px 40px;
}

.btn {
  padding: 10px 16px;
  border: none;
  outline: none;
  border-radius: 10px;
  background-color: white;
  margin: 13px 7px;
  display: inline-block;
}

.btn-primary {
  color: white;
  background-color: #6777EF;
  margin-left: 33px;
  text-decoration: none;
}

@keyframes background {
  0%, 100% {
    background-image: hue-rotate(90deg);
  }
  50% {
    filter: hue-rotate(360deg);
  }
}
@keyframes move {
  100% {
    transform: translate3d(0, 0, 1px) rotate(360deg);
  }
}